<template>
    <div class="sidebar-calendar">
        <datepicker
            :inline="true"
            :monday-first="true"
            :format="dateFormat"
            v-model="date"
            :language="en"
            @input="pickDate()"
        />
    </div>
</template>

<script>
import {en} from '../../vue-datepicker-locales-custom'
import Datepicker from 'vuejs-datepicker'
import moment from 'moment'
export default {
    name: 'Calendar',
    components: {
        Datepicker
    },
    computed: {
        console: () => console,
    },
    props: {
        // date
    },
    methods: {
        dateFormat(date) {
            return moment(date).format('MM-DD-YYYY')
        },
        pickDate() {
            this.$root.$emit('date-matches-loading')
            let dateString = moment(this.date).format('YYYY-MM-DD')
            let query = `/football/date/${dateString}`
            this.$router.push(query).catch(err => {
                if (
                    err.name !== 'NavigationDuplicated' &&
                    !err.message.includes('Avoided redundant navigation to current location')
                ) {
                    console.log(err)
                }
            });
        }
    },
    data() {
        return {
            date: moment(Date.now()).format('MM-DD-YYYY'),
            en: en
        }
    },
    watch: {
        '$route.params.date': function(date){
            this.date = date
        }
    },
    mounted() {
        this.$log.debug(en)
    }
}
</script>
